List of all members
clan::TransferVector< Type > Class Template Reference
clanDisplay Display

Transfer Vector. More...

`#include <transfer_vector.h>`

Inheritance diagram for clan::TransferVector< Type >:

## Public Member Functions
Construction
| TransferVector ()
| Constructs a null instance. More...
| TransferVector (GraphicContext &gc, int size, BufferUsage usage=usage_dynamic_copy)
| Constructs a TransferVector. More...
| TransferVector (GraphicContext &gc, Type *data, int size, BufferUsage usage=usage_dynamic_copy)
| Constructs a TransferVector. More...
| TransferVector (GraphicContext &gc, const std::vector< Type > &data, BufferUsage usage=usage_dynamic_copy)
| TransferVector (const TransferBuffer &transfer_buffer)
| Constructs a TransferVector from an existing buffer. More...
Attributes
Type * | get_data ()
| Retrieves a pointer to the mapped buffer. More...
Type & | operator[] (int index)
Type & | operator[] (unsigned int index)
Operations
void | upload_data (GraphicContext &gc, int offset, const Type *data, int size)
| Uploads data to transfer buffer. More...
void | upload_data (GraphicContext &gc, int offset, const std::vector< Type > &data)
| Uploads data to transfer buffer. More...
Public Member Functions inherited from clan::TransferBuffer
| TransferBuffer ()
| Constructs a null instance. More...
| TransferBuffer (GraphicContext &gc, int size, BufferUsage usage=usage_dynamic_copy)
| Constructs a transfer buffer. More...
| TransferBuffer (GraphicContext &gc, const void *data, int size, BufferUsage usage=usage_dynamic_copy)
| Constructs a transfer buffer. More...
virtual | ~TransferBuffer ()
bool | is_null () const
| Returns true if this object is invalid. More...
void | throw_if_null () const
| Throw an exception if this object is invalid. More...
void * | get_data ()
| Retrieves a pointer to the mapped buffer. More...
TransferBufferProvider * | get_provider () const
| Get Provider. More...
bool | operator== (const TransferBuffer &other) const
| Handle comparison operator. More...
void | lock (GraphicContext &gc, BufferAccess access)
| Maps buffer into system memory. More...
void | unlock ()
| Unmaps buffer. More...
void | upload_data (GraphicContext &gc, int offset, const void *data, int size)
| Uploads data to transfer buffer. More...

## Detailed Description

### template<typename Type>
class clan::TransferVector< Type >

Transfer Vector.

The documentation for this class was generated from the following file:

- transfer_vector.h